internal::source_body< Output > Class Template Referenceabstract

A functor that takes no input and generates a value of type Output. More...

`#include <_flow_graph_body_impl.h>`

Inheritance diagram for internal::source_body< Output >:
Collaboration diagram for internal::source_body< Output >:

## Public Member Functions

virtual | ~source_body ()
virtual bool | operator() (Output &output)=0
virtual source_body * | clone ()=0

## Additional Inherited Members

Private Member Functions inherited from tbb::internal::no_assign
void | operator= (const no_assign &)=delete
| no_assign (const no_assign &)=default
| no_assign ()=default

## Detailed Description

### template<typename Output>
class internal::source_body< Output >

A functor that takes no input and generates a value of type Output.

Definition at line 96 of file _flow_graph_body_impl.h.

## Constructor & Destructor Documentation

## ~source_body()

template<typename Output>

virtual internal::source_body< Output >::~source_body | ( |  | ) |

inline virtual

Definition at line 98 of file _flow_graph_body_impl.h.

{}

## Member Function Documentation

## clone()

template<typename Output>

virtual source_body* internal::source_body< Output >::clone | ( |  | ) |

pure virtual

Implemented in internal::source_body_leaf< Output, Body >.

Referenced by tbb::flow::interface11::source_node< Output >::reset_node().

Here is the caller graph for this function:

## operator()()

template<typename Output>

virtual bool internal::source_body< Output >::operator() | ( | Output & | output | ) |

pure virtual

Implemented in internal::source_body_leaf< Output, Body >.

The documentation for this class was generated from the following file:

- _flow_graph_body_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.